Skip to main content
POST
/
webhook
Subscribe to webhooks
curl --request POST \
  --url https://connect.withvayu.com/webhook \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "callbackUrl": "<string>",
  "eventType": "AnonymousCustomer"
}
'
{
  "type": "invalid_request_error",
  "code": "<string>",
  "message": "<string>",
  "param": "<string>",
  "params": [
    {
      "param": "<string>",
      "message": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://guide.withvayu.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Subscribe to webhooks and receive event notifications.

callbackUrl
string
required
eventType
enum<string>
required
Available options:
AnonymousCustomer,
Overage,
UpcomingRenewal,
InvoiceApproved,
CustomerPortalLinkSent,
NewCustomerWithoutContract,
MonthEndReport,
UnchargedEvents,
TierCrossed,
CommitmentCrossed,
FinalTierExceeded,
InvoicePaymentStatusChanged

Response

RequestSuccess